> For the complete documentation index, see [llms.txt](https://docs.scanner.dev/scanner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/querying-and-analysis/aggregation-functions/min.md).

# min()

`min(col [, ...cols])` returns the minimum value of the provided column(s) in the input datastream. If multiple columns are provided, their values are lexically ordered as a tuple—see [max()](/scanner/using-scanner-complete-feature-reference/querying-and-analysis/aggregation-functions/max.md)—except `null` values are considered the greatest variant instead of the least.

### Note

`min(a, b)` is not the same as `min(a), min(b)`. To get the minimum values of multiple columns, run a `stats` query, e.g. `stats min(a), min(b)`. See [stats()](/scanner/using-scanner-complete-feature-reference/querying-and-analysis/aggregation-functions/stats.md) for more information.

## Returns

A table with one row and one column for each `col` provided, called `@q.min[i]`, where `i` is the index of `col` in the arguments. If only one `col` was provided, the column is called `@q.min`.

## Example

Return the minimum elapsed time for a request in the **checkout\_api** service.

```python
@scnr.source_type: "kubernetes"
and kubernetes.container_name: "checkout_api"
| min(log.elapsed_ms)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/querying-and-analysis/aggregation-functions/min.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
